Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004406 [JEDI VCL] 00 JVCL Components major always 2008-07-18 01:33 2012-09-10 14:15
Reporter Moby View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004406: All controls on JvPanel not redrawn properly when Transparent property set to True
Description Place a JvPanel on a form with an edit box in it. Place a second JvPanel on a form with another edit box. Place this panel over the first panel. Set the second panel's transparent property to true. The controls are not redrawn properly where components are intersected. If you then move the window off screen and back again, the controls are redrawn properly but a call to the repaint method does not redraw it as expected.
Additional Information
Tags No tags attached.
Attached Files zip file icon JvPanelBug.zip [^] (336,552 bytes) 2008-07-18 01:33

- Relationships

-  Notes
(0019573)
obones (administrator)
2012-02-27 12:13

Seeing it with D2007 and latest SVN content
(0019577)
obones (administrator)
2012-02-27 12:28

This is now fixed in SVN
(0019607)
jfudickar (developer)
2012-02-28 00:46

This crashes other dialogs.

Have a look for example at the JvParameterListDemo.

The main form, and also the dynamicly created dialogs are crashed.
(0019609)
obones (administrator)
2012-02-28 09:38

Latest SVN content should work fine for all cases

- Issue History
Date Modified Username Field Change
2008-07-18 01:33 Moby New Issue
2008-07-18 01:33 Moby File Added: JvPanelBug.zip
2008-07-21 00:23 obones Status new => assigned
2008-07-21 00:23 obones Assigned To => obones
2008-07-21 00:23 obones Assigned To obones =>
2008-07-21 00:23 obones Status assigned => acknowledged
2012-02-27 12:13 obones Note Added: 0019573
2012-02-27 12:13 obones Status acknowledged => confirmed
2012-02-27 12:28 obones Note Added: 0019577
2012-02-27 12:28 obones Status confirmed => resolved
2012-02-27 12:28 obones Fixed in Version => Daily / SVN
2012-02-27 12:28 obones Resolution open => fixed
2012-02-27 12:28 obones Assigned To => obones
2012-02-28 00:46 jfudickar Note Added: 0019607
2012-02-28 00:46 jfudickar Status resolved => feedback
2012-02-28 00:46 jfudickar Resolution fixed => reopened
2012-02-28 09:38 obones Note Added: 0019609
2012-02-28 09:38 obones Status feedback => resolved
2012-02-28 09:38 obones Resolution reopened => fixed
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker